# Instagram to Qgis

This plugin allows to import data from instagram and visualize it in Qgis.

In order to do so, a points-type shapefile is created with the geolocalized images downloaded from instagram according to the parameters introduced by the user.

The images can be downloaded by the following parameters:
- Search photos by hashtags
- Search Instagram users
- Search photos by location on map
- Search popular photos
- Search user follows
- Search user recent media
- Search user media feed
- Search Location recent media

[Example](https://github.com/All4Gis/instagram2qgis/tree/master/example)

## Prerequisites

The following libraries must be installed:
- instagram
- httplib2
- requests	
- simplejson
- six 

You can download them here,[additional libraries](https://github.com/All4Gis/instagram2qgis/tree/master/lib)

You also need an "ACCESS TOKEN" and an "ACCESS CLIENT". To obtain them, you must create an application with your instagram account.
[Instragram app](https://www.instagram.com/developer/register/),

Once created, a “CLIENT ID” and a “CLIENT SECRET” will be provided and you can create the “ACCESS TOKEN" by accessing the following [link](http://instagram.pixelunion.net/)


## Donations
Want to buy me a beer (or gadget)? Please use Paypal button on the project page, [Paypal.me](https://www.paypal.me/all4gis), or contact me directly.

[![](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)]
(https://www.paypal.com/cgi-bin/webscr?button=donate&business=5329N9XX4WQHY&item_name=Instagram2Qgis+Plugin&quantity=&amount=&currency_code=EUR&shipping=&tax=&notify_url=&cmd=_donations&bn=JavaScriptButton_donate&env=www)

If this plugin is useful for you, consider to donate to the author.


[© All4gis 2016]
